var e = require("../../common/vendor.js"),
  n = require("../../hooks/onMounted.js"),
  r = require("../../hooks/onShareAppMessage.js"),
  t = require("../../service/index.js"),
  u = require("../../constant/index.js"),
  a = require("../../utils/util.js");
require("../../hooks/useState.js"),
  require("../../store/app/index.js"),
  require("../../enums/index.js"),
  require("../../data/index.js"),
  require("../../config/index.js"),
  require("../../utils/request.js"),
  Math || (e.unref(i) + e.unref(s) + e.unref(o))();
var i = function () {
    return "../../components/vehicle-number/index.js";
  },
  o = function () {
    return "../../components/empty/index.js";
  },
  s = function () {
    return "../../components/divider/index.js";
  },
  d = {
    __name: "index",
    setup: function (i) {
      var o = e.ref(!0),
        s = e.ref(!1),
        d = e.ref({}),
        c = function () {
          e.index.setClipboardData({ data: d.value.vin }).then(function () {
            a.showToast("VIN车架号已复制");
          });
        };
      return (
        n.onMounted(function (n) {
          var r = n.order_no,
            i = n.product_id;
          a.showLoading("努力查询中"),
            t
              .getReportDetail({ order_no: r, product_id: i })
              .then(function (n) {
                var r = e._.find(u.vehicleTypeList, function (e) {
                  return e.value == n.type;
                });
                (n.type = r ? r.text : "-"),
                  (d.value = n),
                  (o.value = !1),
                  a.hideLoading();
              });
        }, !1),
        r.onShareAppMessage(),
        function (n, r) {
          return e.e(
            { a: !o.value },
            o.value
              ? {}
              : e.e(
                  { b: !s.value },
                  s.value
                    ? {}
                    : e.e(
                        { c: d.value.car_no },
                        d.value.car_no
                          ? { d: e.p({ data: d.value.car_no }) }
                          : {},
                        { e: d.value.vin },
                        d.value.vin ? { f: e.t(d.value.vin), g: e.o(c) } : {},
                        {
                          h: e.t(d.value.type || "-"),
                          i: e.t(d.value.first_insurance_date || "-"),
                          j: e.t(d.value.last_compulsory_insurance_date || "-"),
                          k: e.t(d.value.latest_insurance_date_start || "-"),
                          l: e.t(d.value.latest_insurance_date_end || "-"),
                          m: e.t(e.unref(u.disclaimer)),
                        }
                      ),
                  { n: s.value },
                  s.value ? { o: e.p({ info: "抱歉~！没有查到数据哦" }) } : {}
                )
          );
        }
      );
    },
  },
  c = e._export_sfc(d, [["__scopeId", "data-v-ad616c8d"]]);
(d.__runtimeHooks = 2), wx.createPage(c);
